#
# Conditional build:
%bcond_without	python2		# CPython 2.x module
%bcond_without	python3		# CPython 3.x module
%bcond_without	tests		# unit tests
%bcond_without	doc		# Sphinx documentation
%bcond_without	setuptools	# build without setuptools (for bootstraping)

%define 	module	six
Summary:	Six - Python 2 and 3 Compatibility Library (Python 2 module)
Summary(pl.UTF-8):	Biblioteka kompatybilności między Pythonem 2 i 3 (moduł Pythona 2)
Name:		python-%{module}
Version:	1.16.0
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/six/
Source0:	https://files.pythonhosted.org/packages/source/s/six/six-%{version}.tar.gz
# Source0-md5:	a7c927740e4964dd29b72cebfc1429bb
Patch0:		%{name}-tests.patch
URL:		https://pypi.org/project/six/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
%{?with_setuptools:BuildRequires:	python-setuptools}
%if %{with tests}
BuildRequires:	python-pytest >= 2.2.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
%{?with_setuptools:BuildRequires:	python3-setuptools}
%if %{with tests}
BuildRequires:	python3-pytest >= 2.2.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg >= 1.0
%endif
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Six provides simple utilities for wrapping over differences between
Python 2 and Python 3. It is intended to support codebases that work
on both Python 2 and 3 without modification. six consists of only one
Python file, so it is painless to copy into a project.

This package contains Python 2 module.

%description -l pl.UTF-8
Six dostarcza proste narzędzia obudowujące różnice między Pythonem 2 a
Pythonem 3. Celem jest wsparcie kodu działającego zarówno z Pythonem 2
jak i 3 bez modyfikacji. six składa się z tylko jednego pliku
pythonowego, więc można go bezproblemowo skopiować do projektu.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-%{module}
Summary:	Six - Python 2 and 3 Compatibility Library (Python 3 module)
Summary(pl.UTF-8):	Biblioteka kompatybilności między Pythonem 2 i 3 (moduł Pythona 3)
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
Six provides simple utilities for wrapping over differences between
Python 2 and Python 3. It is intended to support codebases that work
on both Python 2 and 3 without modification. six consists of only one
Python file, so it is painless to copy into a project.

This package contains Python 3 module.

%description -n python3-%{module} -l pl.UTF-8
Six dostarcza proste narzędzia obudowujące różnice między Pythonem 2 a
Pythonem 3. Celem jest wsparcie kodu działającego zarówno z Pythonem 2
jak i 3 bez modyfikacji. six składa się z tylko jednego pliku
pythonowego, więc można go bezproblemowo skopiować do projektu.

Ten pakiet zawiera moduł Pythona 3.

%package apidocs
Summary:	Documentation for Python six module
Summary(pl.UTF-8):	Dokumentacja modułu Pythona six
Group:		Documentation

%description apidocs
Documentation for Python six module.

%description apidocs -l pl.UTF-8
Dokumentacja modułu Pythona six.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python} -m pytest test_six.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest test_six.py
%endif
%endif

%if %{with doc}
%{__make} -C documentation html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py_sitescriptdir}/six.py[co]
%{py_sitescriptdir}/six-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py3_sitescriptdir}/six.py
%{py3_sitescriptdir}/__pycache__/six.*.py[co]
%{py3_sitescriptdir}/six-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc documentation/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-six.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0e2ab9b
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 2b9c50f
- rebuild with python 3.10

* Sat Mar 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 1dc0d36
- disable pytest plugins autoload (fixes tests in presence of some plugins)

* Wed Jan 19 2022 Jan Palus <atler@pld-linux.org> b6a5de0
- up to 1.16.0

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 504de7d
- release 4 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c896305
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 835e102
- release 2 (by relup.sh)

* Sun Jan 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 9452934
- updated to 1.15.0

* Sun Apr 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 93600f3
- updated to 1.14.0

* Sat Dec 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 5f7c50d
- updated to 1.13.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 2a964ea
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> 9b16c71
- release 2

* Wed Sep 18 2019 Jakub Bogusz <qboosh@pld-linux.org> c0646e2
- updated to 1.12.0

* Mon Jul 30 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> dc11249
- without setuptools bcond added

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7a7ec46
- updated to 1.11.0
- added tests patch (avoid potential test failure caused by some pytest extension), run unit tests
- added -apidocs package

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 581b424
- release 4 (by relup.sh)

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 82645b6
- python3.6
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 7437295
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f1968a
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1c4b2e5
- automatic change: use py_build/py_install macros

